/********************************************************************************
 * Copyright (c) 2017-2019 in-tech GmbH
 *               2022 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/
#pragma once

#define BOOST_GEOMETRY_ROBUSTNESS_ALTERNATIVE

#include <boost/geometry.hpp>
// clang-format off
#include <boost/geometry/geometry.hpp>
// clang-format on
#include <boost/geometry/geometries/point_xy.hpp>
#include <boost/geometry/geometries/polygon.hpp>

typedef boost::geometry::model::d2::point_xy<double> point_t;
typedef boost::geometry::model::polygon<point_t> polygon_t;
typedef boost::geometry::model::multi_polygon<polygon_t> multi_polygon_t;
typedef boost::geometry::model::box<point_t> box_t;

namespace bg = boost::geometry;
namespace bt = boost::geometry::strategy::transform;
