/********************************************************************************
 * Copyright (c) 2018-2019 AMFD GmbH
 *               2017-2019 in-tech GmbH
 *               2024 Bayerische Motoren Werke Aktiengesellschaft (BMW AG)
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

//-----------------------------------------------------------------------------
/** @file  sensor_driver.h
 *	@brief This file provides the exported methods.
 *
 *   This file provides the exported methods which are available outside of the library. */
//-----------------------------------------------------------------------------

#pragma once

#include "sim/src/common/opExport.h"

#if defined(SENSOR_DRIVER_LIBRARY)
#define SENSOR_DRIVER_SHARED_EXPORT OPEXPORT  //!< Export of the dll-functions
#else
#define SENSOR_DRIVER_SHARED_EXPORT OPIMPORT  //!< Import of the dll-functions
#endif
